Bug 62437 - OneDrive Integration Request
Summary: OneDrive Integration Request
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: BSA target:5.2.0 target:5.1.2
Keywords:
: 86528 98303 98564 (view as bug list)
Depends on:
Blocks: CMIS
  Show dependency treegraph
 
Reported: 2013-03-17 14:15 UTC by rover0069
Modified: 2017-07-13 10:50 UTC (History)
17 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rover0069 2013-03-17 14:15:53 UTC
Problem description: I would like to see integration with Microsoft SkyDrive

Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:
I can save and open Files locally on the system
Expected behavior:
I would like to be able to save and open files directly from MS SkyDrive, this would be particularly usful for Portable versions and Linux versions of LibreOffice
              
Operating System: Windows 8
Version: 4.0.1.2 release
Comment 1 Jorendc 2013-04-08 19:43:27 UTC
Hi,

Thanks for reporting.
This is also mentioned on the GSoC (Google summer of code) idea page https://wiki.documentfoundation.org/Development/Gsoc/Ideas#Connection_to_SharePoint_and.2For_Google_Drive_and.2For_Microsoft_SkyDrive 
Therefore it is a valid request (mark it as NEW).

Kind regards,
Joren
Comment 2 bfoman (inactive) 2014-06-20 20:42:45 UTC
Service renamed.
Comment 3 Yousuf Philips (jay) 2014-09-25 23:20:54 UTC
As part of GSoC 2014, Mihai Varga has been working on OneDrive and Sharepoint 2013 integration, though it doesnt seem to be merged yet into the latest master build. More details can be found at http://mihai-varga.github.io/
Comment 4 Luc 2014-11-24 08:36:08 UTC
The release notes of 4.4 mention OneDrive access should be integrated.
However OneDrive cannot be found in the File->Open dialog.
The screenshots of Mihai cannot be found in the 4.4 executable.
http://mihai-varga.github.io/. The release notes and content of 4.4 do not match.
Comment 5 Mihai Varga 2014-11-24 15:26:27 UTC
This feature has not yet been merged into master because the OneDrive connection is not robust enough, because of the way the Microsoft authentication page is created (it requires javascript to load) the authentication on the libcmis side is not entirely automatic. As you will see, you will be prompted to visit an URL in the browser and retrieve an authentication code from there.

So in order to make the OneDrive connection work you need to do the following:

1. Have a Microsoft web application or create one here https://account.live.com/developers/applications/index

2. Apply the patches I've made here [under Mihai Varga (mihai.mv13@gmail.com)] http://cgit.freedesktop.org/libreoffice/core/log/?h=feature/gsoc14-libcmis2

3. You can set here the client ID and client secret  http://cgit.freedesktop.org/libreoffice/core/commit/?h=feature/gsoc14-libcmis2&id=002f33224802da1820f3152a030833b11ec77a9b or you can set it at compile time

4. Checkout the latest version of libcmis http://sourceforge.net/p/libcmis/code/ci/master/tree/ , archive it in a tar.gz and rename the archive by adding it's MD5 hash in front
something like  22f8a85daf4a012180322e1f52a7563b-libcmis-0.4.1.tar.gz (this is the older version) and replace the old one

5. Update the reference to the tarball here http://cgit.freedesktop.org/libreoffice/core/tree/download.lst#n24

I hope this helps.
Comment 6 Julien Nabet 2014-12-02 21:22:15 UTC
*** Bug 86528 has been marked as a duplicate of this bug. ***
Comment 7 Miklos Vajna 2014-12-16 08:36:39 UTC
I've merged feature/gsoc14-libcmis2 to master and libreoffice-4-4.
Comment 8 Mike §chinagl 2014-12-20 22:52:06 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

It is possible to connect to OneDrive directly from LibreOffice. blog entry (Mihai Varga, 2014)
Comment 9 Mateusz 2015-01-18 08:33:50 UTC
Hey

I checked LO 4.4 RC2 ( Build ID: a3603970151a6ae2596acd62b70112f4d376b990 ) and there is no OneDrive connection. Is this feature rejected?
Comment 10 Mihai Varga 2015-01-19 13:48:43 UTC
Hi Mateusz,

I'm afraid LO 4.4 RC2 has not yet been configured with a OneDrive application. That is, no OneDrive client_id or client_secret has been provided during configuration. 

The only solution for now is to create an OneDrive application and manually build LO.
Comment 11 Mateusz 2015-01-19 22:04:33 UTC
What a pity! Can users expect that this feature will completed at the time of release of LO 4.4?
Comment 12 FreekWel 2015-09-09 17:30:31 UTC
Howcome I still don't see OneDrive as one of the options after selecting 'CMIS'? I see lots of other services but not OneDrive. I'm running version 4.4.5.2-5.fc22.
Comment 13 Zeki Bildirici 2015-09-14 19:14:19 UTC
Hi,

OneDrive option is still missing in: 5.0.1.2

Regards,
Zeki
Comment 14 Bastián Díaz 2015-10-26 17:06:31 UTC
Hi, I just found out that this feature is not available.

Tested from LibreOffice 5.0.3.1 in fedora.
https://wiki.documentfoundation.org/ReleaseNotes/4.4#Connection_to_SharePoint_and_OneDrive may be edited, I think that is false expectations for the user.

Thank you.
Comment 15 Mihai Varga 2015-10-26 18:14:44 UTC
(In reply to Bastián Díaz from comment #14)
> Hi, I just found out that this feature is not available.
> 
> Tested from LibreOffice 5.0.3.1 in fedora.
> https://wiki.documentfoundation.org/ReleaseNotes/4.
> 4#Connection_to_SharePoint_and_OneDrive may be edited, I think that is false
> expectations for the user.
> 
> Thank you.

Hi,

Indeed the OneDrive connection is not available yet, the code has been merged in the released versions of LibreOffice but has not been enabled as there are some restrictions regarding the terms of use (https://msdn.microsoft.com/library/ff765012). 
I'll check again what we can do about this.
Comment 16 hwtan 2016-01-26 04:22:59 UTC
I found the feature "Remote File" in the RC2 of LO 5.1. Is this what we are looking for? If so, where can we find the information like host, share, Label, Root etc when we set up a new service?
Comment 17 Mihai Varga 2016-01-26 14:02:12 UTC
Hello, 
The "Remote Files" feature just provides a better dialog for opening remote files, the One Drive connection has not been enabled yet.
I'm afraid there is no documentation regarding the host, share, label, etc. fileds.
But depending on the connection type you have to specify the host address (the url to the service), the label is used to identify this connection in the File->Open dialog while root is the root folder which I believe will be sometimes automatically set.
Comment 18 Yousuf Philips (jay) 2016-01-27 16:54:13 UTC
Returning to previous state.
Comment 19 Bastián Díaz 2016-02-23 01:31:16 UTC
So. There is not even a remote connection to OneDrive?

As a recommendation removes the service name, it is confusing and there are many questions on the topic on the Internet. It seems that the same applies to the Alfresco Cloud service.

+1 It is a service that expect a lot.

Cheers
Comment 20 Yousuf Philips (jay) 2016-03-02 19:46:17 UTC
*** Bug 98303 has been marked as a duplicate of this bug. ***
Comment 21 Yousuf Philips (jay) 2016-03-03 20:57:05 UTC
Put in a patch to temporarily hide the OneDrive entry until the functionality works.

https://gerrit.libreoffice.org/22881
Comment 22 Commit Notification 2016-03-07 18:36:53 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9b8fe5e967e9ec78c3c7793d8df60bfbf20d2b6

tdf#62437 Hide OneDrive and Alfresco Cloud until they are functional

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2016-03-09 10:03:24 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fedd629690b7c3744b18149773f2de9ff458f7b6&h=libreoffice-5-1

tdf#62437 Hide OneDrive and Alfresco Cloud until they are functional

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Buovjaga 2016-03-09 18:56:54 UTC
*** Bug 98564 has been marked as a duplicate of this bug. ***
Comment 25 Yousuf Philips (jay) 2016-08-06 08:57:29 UTC
So this issue was brought up in the design meeting and at the esc in march and kendy stated "discussed this in the ESC, Cloph is on this".

@Cloph: Aniki do you have any update on this issue?

https://wiki.documentfoundation.org/Design/Meetings/2016-03-11
https://wiki.documentfoundation.org/Design/Meetings/2016-03-18
Comment 26 Xisco Faulí 2017-06-12 11:18:48 UTC
I think it's better to change the version to unspecified here...
Comment 27 Xisco Faulí 2017-07-13 10:50:48 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue